## conda-package-streaming 0.7.0

=== requirements.txt ===
requests
zstandard >=0.15
# test
pytest >=7
pytest-cov
pytest-mock
boto3
boto3-stubs[essential]
bottle
# docs
furo
sphinx
myst-parser
mdit-py-plugins>=0.3.0

=== debian/changelog ===
conda-package-streaming (0.7.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: reduce python3 support to version 3.11.
  * d/t/control: remove dependency on python3-all.
  * d/t/run-unit-test: switch to testing against selected python3 versions.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Jan 2023 10:34:17 +0100

conda-package-streaming (0.7.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to get things going on 32 bit
  * B-D on python3-all instead of -dev
  * Change arch to all
  * Add autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 20:24:44 +0530

conda-package-streaming (0.7.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add missing build-dependency on flit.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2022 23:45:34 +0100

conda-package-streaming (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #1025177)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 20:30:02 +0100

=== debian/control ===
Source: conda-package-streaming
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-flit-scm,
# FIXME: restore python3-all support when python3.10 is removed.
               python3,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-boto3 <!nocheck>,
               python3-bottle <!nocheck>,
               python3-zstandard <!nocheck>,
               flit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/conda-package-streaming
Vcs-Git: https://salsa.debian.org/med-team/conda-package-streaming.git
Homepage: https://github.com/conda/conda-package-streaming
Rules-Requires-Root: no
X-Python3-Version: >= 3.11

Package: python3-conda-package-streaming
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: fetch conda metadata
 Download conda metadata from packages without transferring entire file.
 Get metadata from local .tar.bz2 packages without reading entire files.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name .coverage -delete

## conda-package-streaming 0.8.0

=== debian/changelog ===
conda-package-streaming (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * Drop ancient X-Python-Version field (routine-update)
  * Build-Depends: conda-package-handling <!nocheck>

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 17:57:03 +0200

## conda-package-streaming 0.9.0

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 boto3
 boto3-stubs[essential]
 bottle
+conda
 # docs
 furo
 sphinx

=== debian/changelog ===
conda-package-streaming (0.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 12:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,20 @@
 # FIXME: restore python3-all support when python3.10 is removed.
                python3,
                python3-setuptools,
+               conda-package-handling <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-boto3 <!nocheck>,
                python3-bottle <!nocheck>,
                python3-zstandard <!nocheck>,
-               flit
+               flit,
+               python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-streaming
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-streaming.git
 Homepage: https://github.com/conda/conda-package-streaming
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.11
 
 Package: python3-conda-package-streaming
 Architecture: all

## conda-package-streaming 0.10.0

=== debian/changelog ===
conda-package-streaming (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2024 20:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-flit-scm,
 # FIXME: restore python3-all support when python3.10 is removed.
@@ -20,7 +20,7 @@
                python3-zstandard <!nocheck>,
                flit,
                python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-streaming
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-streaming.git
 Homepage: https://github.com/conda/conda-package-streaming

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name .coverage -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-bottle, python3-boto3
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/conda/conda-package-streaming/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## conda-package-streaming 0.12.0

=== docs/requirements.txt ===
furo
mdit-py-plugins>=0.3.0
myst-parser
sphinx

=== tests/requirements.txt ===
boto3
boto3-stubs[essential]
bottle
conda
pytest >=7
pytest-cov
pytest-mock
requests
zstandard >=0.15

=== debian/changelog ===
conda-package-streaming (0.12.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1122399
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Build-Depends + Test-Depends: python3-responses

 -- Andreas Tille <tille@debian.org>  Mon, 15 Dec 2025 16:21:16 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,13 @@
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-responses <!nocheck>,
                python3-boto3 <!nocheck>,
                python3-bottle <!nocheck>,
                python3-zstandard <!nocheck>,
                flit,
                python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/conda-package-streaming
 Vcs-Git: https://salsa.debian.org/med-team/conda-package-streaming.git
 Homepage: https://github.com/conda/conda-package-streaming

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-bottle, python3-boto3, python3-responses
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: conda
Project: conda-package-streaming
